Subject: Re: bug#15974: 24.3.50; emacs -Q -nw: awful color for input fields: BRIGHT YELLOW

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 18:44:04 -0800

Drew Adams <[email-masked]> writes:

>> I seem to be unable to find where these offending faces are.
>> What were you trying to customize exactly?
>
> Lars, you are missing the point.  It is not the colors of the
> _faces_ that are awful.  It is the colors of the "color-name
> fields and face fields".  It is the EDITING FIELDS that use
> the awful bright-yellow.

I was asking for a recipe to demonstrate the problem.  It's not an
entirely novel idea, I would have thought?

> But if you are for some reason interested in the code that
> defines the option, this is it:
>
> (defcustom hlt-auto-face-backgrounds
>   (let ((tty-cols   (hlt-tty-colors))

What on Earth is `hlt-auto-face-backgrounds'?  I can't find any such
symbol in the Emacs tree.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/